#ifndef _TestMDI_TestMDI_h
#define _TestMDI_TestMDI_h

#include <CtrlLib/CtrlLib.h>
using namespace Upp;
#define LAYOUTFILE <TestMDI/ChildW.lay>
#include <CtrlCore/lay.h>

static int i;

class ChildWind: public WithChildLayout<TopWindow> {
public:
	typedef ChildWind CLASSNAME;
	ChildWind();
	virtual void Layout();
	virtual void Close() {
		if(m_doc.IsDirty())
			PromptOK("Dirty");//do some storing
		delete this;
	}
};

class MainWind : public TopWindow {
public:
	typedef MainWind CLASSNAME;
	MainWind();
	MenuBar menu;

protected:
	void FileNew();
	void FileOpen();
	void OpenS(String fn);
	void MainMenu(Bar& bar) {
		bar.Add("File", THISBACK(SubMenuFile));
		bar.Add("Window",THISBACK(SubMenuWindow));
	}
	void SubMenuWindow(Bar& bar) {
		bar.Add("Close All",THISBACK(WindowCloseAll));
	}
	void SubMenuFile(Bar& bar) {
		bar.Add("New", THISBACK(FileNew));
		bar.Add("Open",THISBACK(FileOpen));
		bar.Separator();
		bar.Add("Exit",THISBACK(FileExit));
	}
	void FileExit() {
			Close();
		}
	void WindowCloseAll();
	virtual void Close() { 
			WindowCloseAll(); 
			TopWindow::Close();
	}
};

#endif

